summaryrefslogtreecommitdiffstats
path: root/libraries/soundtouch
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:01:03 +0200
committer Robby Workman2010-05-11 20:01:03 +0200
commite030832d8acf5d6febd2bc89b18c5fcbb9767b34 (patch)
tree64e81d3388497aa8ce29c871ace3aa9039110560 /libraries/soundtouch
parent78e1fa947a3c924415a72052d2e55f4f59963a5d (diff)
downloadslackbuilds-e030832d8acf5d6febd2bc89b18c5fcbb9767b34.tar.gz
libraries/soundtouch: Added to 12.0 repository
Diffstat (limited to 'libraries/soundtouch')
-rw-r--r--libraries/soundtouch/README7
-rw-r--r--libraries/soundtouch/slack-desc19
-rw-r--r--libraries/soundtouch/soundtouch.SlackBuild60
-rw-r--r--libraries/soundtouch/soundtouch.info8
4 files changed, 94 insertions, 0 deletions
diff --git a/libraries/soundtouch/README b/libraries/soundtouch/README
new file mode 100644
index 0000000000..80e8f57e21
--- /dev/null
+++ b/libraries/soundtouch/README
@@ -0,0 +1,7 @@
+SoundTouch is an open-source audio processing library that allows changing
+the sound tempo, pitch, and playback rate parameters independently from each
+other. For example:
+- tempo can be increased or decreased while maintaining the original pitch
+- pitch can be increased or decreased while maintaining the original tempo
+- Change playback rate that affects both tempo and pitch at the same time
+- Choose any combination of tempo/pitch/rate
diff --git a/libraries/soundtouch/slack-desc b/libraries/soundtouch/slack-desc
new file mode 100644
index 0000000000..6cfd1501ae
--- /dev/null
+++ b/libraries/soundtouch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+soundtouch: soundtouch (Sound processing library)
+soundtouch:
+soundtouch: soundtouch is an open-source audio processing library
+soundtouch: that allows changing the sound tempo, pitch and playback
+soundtouch: rate parameters independently from each other. Using it
+soundtouch: it's possible to for example change the tempo of a song,
+soundtouch: while the pitch stays the same.
+soundtouch:
+soundtouch: Also included is a library for detecting Beats Per Minute (BPM)
+soundtouch:
+soundtouch:
diff --git a/libraries/soundtouch/soundtouch.SlackBuild b/libraries/soundtouch/soundtouch.SlackBuild
new file mode 100644
index 0000000000..a88c0f5849
--- /dev/null
+++ b/libraries/soundtouch/soundtouch.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for soundtouch 1.3.1
+# Written by heinz wiesinger hmwiesinger@gmx.at
+
+set -e
+
+PRGNAM=soundtouch
+VERSION=1.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+# Cleanup doc-files installed by make-install
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/soundtouch/soundtouch.info b/libraries/soundtouch/soundtouch.info
new file mode 100644
index 0000000000..53978e7137
--- /dev/null
+++ b/libraries/soundtouch/soundtouch.info
@@ -0,0 +1,8 @@
+PRGNAM="soundtouch"
+VERSION="1.3.1"
+HOMEPAGE="http://www.surina.net/soundtouch"
+DOWNLOAD="http://www.surina.net/soundtouch/soundtouch-1.3.1.tar.gz"
+MD5SUM="5e0185e81dbba2f2eed8581b7664ab04"
+MAINTAINER="heinz wiesinger"
+EMAIL="hmwiesinger@gmx.at"
+APPROVED="rworkman"